go-ring API Reference
OpenapiDevice Controls

Play a chime sound

Plays a selected test sound on a chime device.

POST
/clients_api/chimes/{device_id}/play_sound

Authorization

RingAccessToken
AuthorizationBearer <token>

Send an OAuth access token in the Authorization: Bearer header. Token exchange and refresh operations are described under Authentication.

In: header

Path Parameters

device_id*integer
Formatint64
Range1 <= value

Query Parameters

kind*string

Value in

  • "ding"
  • "motion"

Response Body

application/json

application/json

curl -X POST "https://example.com/clients_api/chimes/1/play_sound?kind=ding"
{}